#ifndef STATE_H_
#define STATE_H_
#include "PamInclude.h"

namespace PamOffLineSW
{

class State
{

public:
	
	virtual ~State(){};
	//void processData(char* data, int data_lenght);
	virtual void readInput(char inputbyte) =0;
};

}

#endif /*STATE_H_*/
